# getResolutionResult

abstract fun getResolutionResult(): ResolutionResult

Returns the resolved dependency graph, performing the resolution lazily.

The lazy aspect depends on what is done with the returned `ResolutionResult`.

This will resolve the dependency graph but will not resolve or download the artifacts.

You should note that when resolution fails, the exceptions are included in the ResolutionResult returned from this method. This method will not throw these exceptions.

#### Return

the resolution result

#### Since

1.3